class Isp {
  int? status;
  List<ISPsData>? data;

  Isp({this.status, this.data});

  Isp.fromJson(Map<String, dynamic> json) {
    status = json['status'];
    if (json['data'] != null) {
      data = <ISPsData>[];
      json['data'].forEach((v) {
        data?.add(ISPsData.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['status'] = status;
    data['data'] = this.data?.map((v) => v.toJson()).toList();
    return data;
  }
}

class ISPsData {
  int? id;
  String? name;
  String? serverAddress;
  int? custom;

  ISPsData({
    this.id,
    this.name,
    this.serverAddress,
    this.custom
  });

  ISPsData.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    name = json['name'];
    serverAddress = json['server_address'];
    custom = json['custom'];
  }

  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['id'] = id;
    data['name'] = name;
    data['server_address'] = serverAddress;
    data['custom'] = custom;
    return data;
  }
}
